Debian DSA-4173-1 : r-cran-readxl - security update

Medium Nessus Plugin ID 109065

Synopsis

The remote Debian host is missing a security-related update.

Description

Marcin Noga discovered multiple vulnerabilities in readxl, a GNU R package to read Excel files (via the integrated libxls library), which could result in the execution of arbitrary code if a malformed spreadsheet is processed.

Solution

Upgrade the r-cran-readxl packages.

For the stable distribution (stretch), these problems have been fixed in version 0.1.1-1+deb9u1.

See Also

http://www.nessus.org/u?252fc870

https://packages.debian.org/source/stretch/r-cran-readxl

https://www.debian.org/security/2018/dsa-4173

Plugin Details

Severity: Medium

ID: 109065

File Name: debian_DSA-4173.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2018/04/17

Updated: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:r-cran-readxl, cpe:/o:debian:debian_linux:9.0

Patch Publication Date: 2018/04/16

Reference Information

CVE: CVE-2017-12110, CVE-2017-12111, CVE-2017-2896, CVE-2017-2897, CVE-2017-2919

DSA: 4173